Describes the payload of deploy code

### Hierarchy

- Payload
  - DeployCode

## Index

### Properties

- author
- code
- description
- email
- name
- needStorage
- version

### Methods

- deserialize
- serialize

## Properties

### author

author: string

- Defined in transaction/payload/deployCode.ts:51

Author of the contract

### code

code: string

- Defined in transaction/payload/deployCode.ts:34

Hex encoded contract content

### description

description: string

- Defined in transaction/payload/deployCode.ts:59

Description of the contract

### email

email: string

- Defined in transaction/payload/deployCode.ts:55

Email of the author

### name

name: string

- Defined in transaction/payload/deployCode.ts:43

Name of the smart contract

### needStorage

needStorage: boolean

- Defined in transaction/payload/deployCode.ts:39

Decides if the contract need storage

### version

version: string

- Defined in transaction/payload/deployCode.ts:47

Version of the contract

## Methods

### deserialize

- deserialize(sr: StringReader): void

- Overrides Payload.deserialize

  - Defined in transaction/payload/deployCode.ts:89

  Deserialize deploy code

  #### Parameters

  - ##### sr: StringReader

  #### Returns void

### serialize

- serialize(): string

- Overrides Payload.serialize

  - Defined in transaction/payload/deployCode.ts:64

  Serialize deploy code to hex string

  #### Returns string

Generated using TypeDoc